import UIKit
import Flutter
import BankConnect
import SwiftUI

public class FinBoxViewController: UIViewController {
    
    public override func viewDidLoad() {
        debugPrint("View Controller Loaded")
        
        // BankConnect Swift UI element
        let swiftUIView = BankView()
        
        // Handles the Swift UI elements on UI Kit
        let child = UIHostingController(rootView: swiftUIView)
        // Set the bounds
        child.view.frame = view.bounds
        
        // Add the child to the view
        self.view.addSubview(child.view)
    }
}
